CN REST - Task #7914

SEAD object only partially synchronized in CN production - missing autogen.2016092916013111425
document from /var/metacat/documents

2016-10-17 19:03 - Mark Servilla

Status: Closed Start date: 2016-10-17
Priority: Normal Due date:

Assignee: Dave Vieglais % Done: 100%
Category: d1_synchronization Estimated time: 0.00 hour

Target version:

Story Points:

Description

The following errors led to an issue where the science metadata object (seadva-dd21d2d3-5c02-4f17-ab16-e42ad69003f8; FGDC)
was not replicated and stored in the CN Metacat document store as autogen.2016092916013111425.1. Online discussions and
email indicate the best approach would be to surgically remove the relevant Metacat database table entries related to
seadva-dd21d2d3-5c02-4f17-ab16-e42ad69003f8, and then follow up with another attempt at synchronization/indexing.

metacat.log:metacat 20160929-23:01:21: [ERROR]: D1ResourceHandler: Serializing exception with code 404: No record found for:
seadva-c918e4ff-2861-496a-a907-d2cb382ddb30. [edu.ucsb.nceas.metacat.restservice.D1ResourceHandler]

and

[ERROR] 2016-09-29 23:01:23,045 (V2TransferObjectTask:call:269)
Task-urn:node:SEAD-seadva-c918e4ff-2861-496a-a907-d2cb382ddb30 - UnrecoverableException:
seadva-c918e4ff-2861-496a-a907-d2cb382ddb30 in createObject, failed. - ServiceFailure - Internal Server Error: The server
encountered an unexpected condition which prevented it from fulfilling the request.

Note that Mark Servilla ran the object through the diagnostics API without issue.

Related issues:

Related to CN REST - Bug #7222: SEAD object only partially synchronized - mis... Closed 2015-06-18
Related to CN REST - Bug #7918: SEAD object only partially synchronized - mis... New 2016-10-21
History

#1 - 2016-10-17 19:04 - Mark Servilla

- Related to Bug #7222: SEAD object only patrtially synchronized - missing autogen.2015061616000265251 document from /var/metacat/documents
added

#2 - 2016-10-21 11:37 - Dave Vieglais
- Status changed from New to Closed

- % Done changed from 0 to 100

Appears to be resolved:

https://search.dataone.org/#view/seadva-dd21d2d3-5c02-4f17-ab16-e42ad69003f8

#3 - 2016-10-21 17:21 - Dave Vieglais

- Related to Bug #7918: SEAD object only patrtially synchronized - missing autogen.2016092916012224122 document from /var/metacat/documents
added
